# Mediawiki

Mediawiki [version 1.32.1][mediawiki-1.32]

Requires Docker version 1.11.2 or above to run.

Based on [`mediawiki-ve-bundle`][mediawiki-ve].

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
2. `cp .envrc.sample .envrc`
3. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
4. `direnv allow` (or `. .envrc`)
5. `abra secret_generate db_password v1 && abra secret_generate db_root_password v2`
7. `abra secret_generate mediawiki_secret_key "pwgen -n 64 1"`
8. `abra deploy`
9. `abra service_run mediawiki /bin/bash` to open a shell
10. `php /var/www/html/maintenance/createAndPromote.php YourUsername YourPassword`

## License

MIT License

[mediawiki-1.32]: https://www.mediawiki.org/wiki/Release_notes/1.32.1
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/compose-stacks/traefik
[mediawiki-ve]: https://hub.docker.com/r/revianlabs/mediawiki-ve-bundle
